getCovariateFormula           package:nlme           R Documentation

Extract Covariates Formula

Description:

     The right hand side of 'formula(object)', without any conditioning
     expressions (i.e. any expressions after a '|' operator) is
     returned as a one-sided formula.

Usage:

     getCovariateFormula(object)

Arguments:

  object: any object from which a formula can be extracted.

Value:

     a one-sided formula describing the covariates associated with
     'formula(object)'.

Author(s):

     Jose Pinheiro Jose.Pinheiro@pharma.novartis.com and Douglas Bates
     bates@stat.wisc.edu

See Also:

     'getCovariate'

Examples:

     getCovariateFormula(y ~ x | g)
     getCovariateFormula(y ~ x)

